%define rel 2
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary: The RAR Archiver
Name: rar
Version: 3.2.0
Release: %{rel}%{rhtag}
ExclusiveArch: i386 i486 i586 i686 athlon
ExclusiveOS: Linux
Source0: http://www.rarlab.com/rar/rarlinux-%{version}.tar.gz
Source1: rarsfx-%{version}.tar.gz
URL: http://www.rarlab.com
Vendor: Eugene Roshal <roshal@creabel.com>
License: shareware
Group: Applications/Archiving
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr
AutoReq: Off
Requires: libm.so.6, libc.so.6, libstdc++-libc6.2-2.so.3, libgcc_s.so.1

%description
RAR is a powerful tool which allows you to manage and control archive files.
The archive is usually a regular file, which name has a ".rar" suffix.

%prep
%setup -n rar
%setup -n rar -a 1 -q
rm default.sfx

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
install -m 755 rar %{buildroot}%{_bindir}
install -m 644 *.sfx %{buildroot}%{_libdir}
ln -sf linux.sfx %{buildroot}%{_libdir}/default.sfx

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc *.txt *.lst *.diz
%attr(0755, root, root) %{_bindir}/rar
%{_libdir}/*.sfx

%changelog
* Sat May 24 2003 Peter Soos <sp@osb.hu>
- Moved to RAR v3.2.0
* Mon Apr 28 2003 Peter Soos <sp@osb.hu>
- Moved to RedHat Linux 9
- Moved to RAR v3.1.1
* Mon Feb 03 2003 Peter Soos <sp@osb.hu>
- Moved to RedHat Linux 8.0
* Mon Jan 06 2003 Peter Soos <sp@osb.hu>
- Moved to RAR v3.1.0
* Sun Jun 02 2002 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.3
- Moved to RAR v3.0
* Fri Oct 05 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2 beta
- Moved to RAR v2.90
* Fri May 04 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.1
* Tue Apr 24 2001 Peter Soos <sp@osb.hu>
- Rebuilt for RedHat Linx 7.0
* Sat Mar 10 2001 Peter Soos <sp@osb.hu>
- Moved to RAR v2.80
- Updated some SFX modules too
- SFX modules are in /usr/lib (see the documentation for the reasons)
* Fri Jun 23 2000 Peter Soos <sp@osb.hu>
- Moved to RAR v2.71
- Updated some SFX modules too
* Thu May 25 2000 Peter Soos <sp@osb.hu>
- Moved to RAR v2.70
- Updated some SFX modules too
* Mon Nov 08 1999 Peter Soos <sp@osb.hu>
- Moved to RAR v2.60
- Updated SFX modules too
* Wed Jun 02 1999 Peter Soos <sp@osb.hu>
- Added several SFX modules, see sfxread.txt
* Thu May 20 1999 Peter Soos <sp@osb.hu>
- Corrected some mistakes in the spec file
* Sun May 16 1999 Peter Soos <sp@osb.hu>
- Removed unrar from the package because it is now built as a separate package
- Removed the libc5 based sfx module from RAR v2.02
* Wed May 12 1999 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0
* Tue Mar 09 1999 Peter Soos <sp@osb.hu>
- Moved to glibc based RAR v2.50 beta
- Kept the libc5 based sfx module from RAR v2.02
- Moved the unrar utility to separated package
